Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class ReflectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.JMException
                  javax.management.ReflectionException

All Implemented Interfaces:
  java.io.Serializable

public class ReflectionException
extends JMException

Represents exceptions thrown in the MBean server when using the java.lang.reflect classes to invoke methods on MBeans. It "wraps" the actual java.lang.Exception thrown.

See Also:
  Serialized Form

Constructor Summary
`ReflectionException(java.lang.Exception e)` Creates a `ReflectionException` that wraps the actual `java.lang.Exception`.
`ReflectionException(java.lang.Exception e, java.lang.String message)` Creates a `ReflectionException` that wraps the actual `java.lang.Exception` with a detail message.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the actual `Exception` thrown.
`java.lang.Exception` | `getTargetException()` Returns the actual `Exception` thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReflectionException

    public ReflectionException(java.lang.Exception e)

  Creates a `ReflectionException` that wraps the actual `java.lang.Exception`.

Parameters:
  `e` - the wrapped exception.

### ReflectionException

    public ReflectionException(java.lang.Exception e,
                               java.lang.String message)

  Creates a `ReflectionException` that wraps the actual `java.lang.Exception` with a detail message.

Parameters:
  `e` - the wrapped exception.
  `message` - the detail message.

Method Detail

### getTargetException

    public java.lang.Exception getTargetException()

  Returns the actual `Exception` thrown.

  Returns:
    the wrapped `Exception`.

### getCause

    public java.lang.Throwable getCause()

  Returns the actual `Exception` thrown.

  Returns:
    the wrapped `Exception`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.